procedure add_systems;
begin
{Wait for a element not to hit in "X" times, and then bet progression.
0 didn_apear - indicate how much spins the element didn't lan
1 alert - indicate how much spins we must wait for element didn't apear
2 cnt_progression - store the current number from progresiion array
3 win_coeficient - indicate how much increase the bet on winning
4 names - indicate the name of element (look at the s_utils module to get the name, or to add your own names)
5 martingale_progression - indicate the element's progression
6 cnt_elements - indicate how much same table-elements we have in the group, usuall =1 (for example we have [0,10,0,??,'groupA'[0,1,1,1,2,2,3,4,5,7,9,12]
where groupA - is the 9 singles. In this case the win_coeficient must remain 35, and the cnt_elements=9.
So the correct will be [0,10,0,35,'groupA',[0,1,1,1,2,2,3,4,5,7,9,12],9])
7 play_cnt - indicate how much times the element will play
(-1 - the element will always play; 
0 - the element will not play; 
1 - the element will play only once; 
2 - only 2 times; 
3 - only 3 times; ...)
(in this example: red - will play always; column1 - will play 3 times; single0-will never play; street4 - will play 1 time.)
8 will indicate how much elements we have in this row
9 the progression multiplier - how much units to bet on every elements for each progression value
10 name of group
}

elements:=[
[[0],[1],[0],1,
['Red',
'Black',
'High',
'Low',
'Odd',
'Even'],
[0,1,2,4,8,16,32,64,128,256,512,1024,2048],
1,{8}
[-1],0,[1],                                    
'ECs'],                                 

[[0],[1],[0],1,
['Red_Odd',
'Red_Even',
'Red_Low',
'Red_High',
'Black_Odd',
'Black_Even',
'Black_Low',
'Black_High',
'Odd_Low',
'Odd_High',
'Even_Low',
'Even_High'],
[0,1,2,4,8,16,32,64,128,256,512,1024,2048],
2,{8}
[-1],0,[1],                                    
'EC_Combo2'],

[[0],[1],[0],1,
['Red_Odd_Low',
'Red_Even_Low',
'Red_Odd_High',
'Red_Even_High',
'Black_Odd_Low',
'Black_Even_Low',
'Black_Odd_High',
'Black_Even_High'],
[0,1,2,4,8,16,32,64,128,256,512,1024,2048],
3,{8}
[-1],0,[1],                                    
'EC_Combo3'], 

[[0],[1],[0],2,
['Dozen_Low',
'Dozen_Med',
'Dozen_High',

'Column_1',
'Column_2',
'Column_3'],
[0,1,1,2,3,4,6,9,14,21,31,47,70,105,158,237,355,533,799,1199,1798,2697,4046,6069],
1,{8}
[-1],0,[1],
'DozCol'],

[[0],[1],[0],2,
[{Dozens Combo}
'Dozen_Low_Med',
'Dozen_Low_High',
'Dozen_Med_High',
{Columns Combo}
'Column_1_2',
'Column_1_3',
'Column_2_3'],
[0,1,1,2,3,4,6,9,14,21,31,47,70,105,158,237,355,533,799,1199,1798,2697,4046,6069],
2,{8}
[-1],0,[1],
'DozCol_Combo'],

[[0],[1],[0],5,
['Line_1',
'Line_2',
'Line_3',
'Line_4',
'Line_5',
'Line_6',
'Line_7',
'Line_8',
'Line_9',
'Line_10',
'Line_11'],
[0,1,1,1,1,1,2,2,2,3,3,4,5,6,7,8,10,12,14,17,21,25,30,36,43,52,62,74,89,107,128,154,185,222,266,319,383,460,552,662,795,954,1144,1373,1648,1977,2373,2847,3417,4100],
1,{8}
[-1],0,[1],
'Lines'],

[[0],[1],[0],11,
['Street_012',
'Street_023',
'Street_1',
'Street_2',
'Street_3',
'Street_4',
'Street_5',
'Street_6',
'Street_7',
'Street_8',
'Street_9',
'Street_10',
'Street_11',
'Street_12'],
[0,
1,1,1,1,1,1,1,1,1,1,1,
2,2,2,2,2,2,
3,3,3,3,
4,4,4,
5,5,
6,6,
7,7,
8,9,10,11,12,13,14,15,16,18,20,21,23,25,28,30,33,36,39,43,47,51,56,61,66,72,79,86,94,102,112,122,133,145,158,172,188,205,224,244,266,291,317,346,377,412,449,490,534,583,636,694,826,901,983,1072,1169,1276,1392,1518,1656,1807,1971],
1,{8}
[-1],0,[1],
'Streets'],

[[0],[1],[0],8,
['Corner_1',
'Corner_2',
'Corner_3',
'Corner_4',
'Corner_5',
'Corner_6',
'Corner_7',
'Corner_8',
'Corner_9',
'Corner_10',
'Corner_11',
'Corner_12',
'Corner_13',
'Corner_14',
'Corner_15',
'Corner_16',
'Corner_17',
'Corner_18',
'Corner_19',
'Corner_20',                                                                                    
'Corner_21',
'Corner_22'],
[0,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,4,4,5,5,6,7,8,9,10,12,14,16,18,20,22,25,28,32,36,40,45,51,57,64,72,81,91,103,116,130,146,165,185,208,234,267,334,376,423,475,535,602,677,762,857,964,1084,1220,1372,1544,1737,1954,2198,2473],
1,{8}
[-1],0,[1],
'Corners'],

[[0],[1],[0],17,
['Split_0_1',
'Split_0_2',
'Split_0_3',
'Split_1_2',
'Split_1_4',
'Split_2_3',
'Split_2_5',
'Split_3_6',
'Split_4_5',
'Split_4_7',
'Split_5_6',
'Split_5_8',
'Split_6_9',
'Split_7_8',
'Split_7_10',
'Split_8_9',
'Split_8_11',
'Split_9_12',
'Split_10_11',
'Split_10_13',
'Split_11_12',
'Split_11_14',
'Split_12_15',
'Split_13_14',
'Split_13_16',
'Split_14_15',
'Split_14_17',
'Split_15_18',
'Split_16_17',
'Split_16_19'],
[0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
2,2,2,2,2,2,2,2,2,
3,3,3,3,3,3,
4,4,4,4,
5,5,5,5,
6,6,6,
7,7,8,8,9,9,10,10,11,11,
12,13,14,14,15,16,17,18,19,20,21,23,25,27,28,30,32,34,36,38,40,42,45,48,50,
53,56,60,63,67,71,75,80,84,89,94,100,106,112,119,126,133,141,149,158,167,177,187,
198,210,222,236,264,280,296,313,332,351,372,394,417,442,468,495,524,555,588,622,659,698,
739,782,828,877,929,983,1041,1102,1167,1236,1308,1385],
1,{8}
[-1],0,[1],
'Splits_1'],

[[0],[1],[0],17,
['Split_17_18',
'Split_17_20',
'Split_18_21',
'Split_19_20',
'Split_19_22',
'Split_20_21',
'Split_20_23',
'Split_21_24',
'Split_22_23',
'Split_22_25',
'Split_23_24',
'Split_23_26',
'Split_24_27',
'Split_25_26',
'Split_25_28',
'Split_26_27',
'Split_26_29',
'Split_27_30',
'Split_28_29',
'Split_28_31',
'Split_29_30',
'Split_29_32',
'Split_30_33',
'Split_31_32',
'Split_31_34',
'Split_32_33',
'Split_32_35',
'Split_33_36',
'Split_34_35',
'Split_35_36'],
[0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
2,2,2,2,2,2,2,2,2,
3,3,3,3,3,3,
4,4,4,4,
5,5,5,5,
6,6,6,
7,7,8,8,9,9,10,10,11,11,
12,13,14,14,15,16,17,18,19,20,21,23,25,27,28,30,32,34,36,38,40,42,45,48,50,
53,56,60,63,67,71,75,80,84,89,94,100,106,112,119,126,133,141,149,158,167,177,187,
198,210,222,236,264,280,296,313,332,351,372,394,417,442,468,495,524,555,588,622,659,698,
739,782,828,877,929,983,1041,1102,1167,1236,1308,1385],
1,{8}
[-1],0,[1],
'Splits_2'],

[[0],[1],[0],35,
['Single_0',
'Single_1',
'Single_2',
'Single_3',
'Single_4',
'Single_5',
'Single_6',
'Single_7',
'Single_8',
'Single_9',
'Single_10',
'Single_11',
'Single_12',
'Single_13',
'Single_14',
'Single_15',
'Single_16',
'Single_17',
'Single_18',
'Single_19',
'Single_20',
'Single_21',
'Single_22',
'Single_23',
'Single_24',
'Single_25',
'Single_26',
'Single_27',
'Single_28',
'Single_29',
'Single_30',
'Single_31',
'Single_32',
'Single_33',
'Single_34',
'Single_35',
'Single_36'],
[0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
3,3,3,3,3,3,3,3,3,3,3,3,
4,4,4,4,4,4,4,4,4,
5,5,5,5,5,5,5,
6,6,6,6,6,6,
7,7,7,7,7,
8,8,8,8,
9,9,9,9, 
10,10,10,10,
11,11,11,
12,12,12,    
13,13,13,
14,14,15,15,15,16,16,17,17,18,18,19,19,20,20,
21,22,22,23,24,24,25,26,26,27,28,29,30,30,31,32,33,35,36,37,38,
39,40,41,43,44,45,46,49,50,52,53,55,56,58,60,61,63,65,67,69,71,73,75,
77,79,81,84,86,89,91,94,96,99,102,105,108,111,114,117,121,124,128,131,135,139,143,147,
151,156,160,165,169,174,179,184,189,195,200,206,212,218,224,231,237,244,251,258,266,273,281,289,
297,306,315,324,333,342,352,362,372,383,394,405,417,429,441,454,467,480,494,508,522,537,553,568,585,
601,618,636,654,673,692],
1,{8}   
[-1],0,[1],
'Singles'],
 
{Got to work out progression for these french bets.}
[[0],[1],[0],-1,
['Voisins'],
[0,1,2,4,8,16,32,64,128,256,512],
9,{8}
[-1],0,[1],
'Voisins'],

[[0],[1],[0],17,
['Tier'],
[0,1,2,4,8,16,32,64,128,256,512],
6,{8}
[-1],0,[1],
'Tier'],

[[0],[1],[0],-1,
['Orphelins'],
[0,1,2,4,8,16,32,64,128,256,512],
5,{8}
[-1],0,[1],
'Orphelins'], {Got a stack overflow here. Looks like it may be fixed now. O instead of o in stack_array} 

[[0],[1],[0],35,
['Neighbors_0',
'Neighbors_1',
'Neighbors_2',
'Neighbors_3',
'Neighbors_4',
'Neighbors_5',
'Neighbors_6',
'Neighbors_7',
'Neighbors_8',
'Neighbors_9',
'Neighbors_10',
'Neighbors_11',
'Neighbors_12',
'Neighbors_13',
'Neighbors_14',
'Neighbors_15',
'Neighbors_16',
'Neighbors_17',
'Neighbors_18',
'Neighbors_19',
'Neighbors_20',
'Neighbors_21',
'Neighbors_22',
'Neighbors_23',
'Neighbors_24',
'Neighbors_25',
'Neighbors_26',
'Neighbors_27',
'Neighbors_28',
'Neighbors_29',
'Neighbors_30',
'Neighbors_31',
'Neighbors_32',
'Neighbors_33',
'Neighbors_34',
'Neighbors_35',
'Neighbors_36'],
[0,1,1,1,1,1,1,1,2,2,2,3,3,4,4,5,6,7,8,9,10,12,14,16,19,22,1,1,1,1,1,1,1,2,2,2,3,3,4,4,5,6,7,8,9,10,12,14,16,19,22],
5,{8}
[-1],0,[1],
'Neighbors'],

[[0],[1],[0],35,
['Finalbet_0',
'Finalbet_1',
'Finalbet_2',
'Finalbet_3',
'Finalbet_4',
'Finalbet_5',
'Finalbet_6'],
[0,1,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,4,4,5,5,6,7,8,9,10,11,12,14,16,18,20,1,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,4,4,5,5,6,7,8,9,10,11,12,14,16,18,20],
4,{8}
[-1],0,[1],
'Finalbet_0-6'],

[[0],[1],[0],35,
['Finalbet_7',
'Finalbet_8',
'Finalbet_9'],
[0,1,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,12,13,14,15,16,18,20,1,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,12,13,14,15,16,18,20],
3,{8}
[-1],0,[1],
'Finalbet_7-9']
];

elements1:=[
[[0],[1],[0],5,
[{Line Combinations x2}
'Line_1_3',
'Line_1_5',
'Line_1_7',
'Line_1_9',
'Line_1_11',
'Line_3_5',
'Line_3_7',
'Line_3_9',
'Line_3_11',
'Line_5_7',
'Line_5_9',
'Line_5_11',
'Line_7_9',
'Line_7_11',
'Line_9_11'],
[0,1,1,2,3,4,6,9,14,21,31,47,1,1,2,3,4,6,9,14,21,31,47,70,105,158,237,355,533],
2,{8}
[-1],0,[1],
'2_Lines'],

[[0],[1],[0],5,
[{Line Combinations x3}
'Line_1_3_5',
'Line_1_3_7',
'Line_1_3_9',
'Line_1_3_11',
'Line_1_5_7',
'Line_1_5_9',
'Line_1_5_11',
'Line_1_7_9',
'Line_1_7_11',
'Line_1_9_11',
'Line_3_5_7',
'Line_3_5_9',
'Line_3_5_11',
'Line_5_7_9',
'Line_5_7_11',
'Line_7_9_11'],
[0,1,1,2,3,4,6,9,14,21,31,47,1,1,2,3,4,6,9,14,21,31,47,70,105,158,237,355,533],
3,{8}
[-1],0,[1],
'3_Lines'],

[[0],[1],[0],5,
[{Line Combinations x4}
'Line_1_3_5_7',
'Line_1_3_5_9',
'Line_1_3_5_11',
'Line_1_3_7_9',
'Line_1_3_7_11',
'Line_1_3_9_11',
'Line_1_5_7_9',
'Line_1_5_7_11',
'Line_1_5_9_11',
'Line_1_7_9_11',
'Line_3_5_7_9',
'Line_3_5_9_11',
'Line_3_7_9_11',
'Line_5_7_9_11'],
[0,1,1,2,3,4,6,9,14,21,31,47,1,1,2,3,4,6,9,14,21,31,47,70,105,158,237,355,533],
4,{8}
[-1],0,[1],
'4_Lines'],

[[0],[1],[0],11,
[{Streets Combinations x2}
'Street_1_2',
'Street_1_3',
'Street_1_4',
'Street_1_5',
'Street_1_6',
'Street_1_7',
'Street_1_8',
'Street_1_9',
'Street_1_10',
'Street_1_11',
'Street_1_12',

'Street_2_3',
'Street_2_4',
'Street_2_5',
'Street_2_6',
'Street_2_7',
'Street_2_8',
'Street_2_9',
'Street_2_10',
'Street_2_11',
'Street_2_12',

'Street_3_4',
'Street_3_5',
'Street_3_6',
'Street_3_7',
'Street_3_8',
'Street_3_9',
'Street_3_10',
'Street_3_11',
'Street_3_12',

'Street_4_5',
'Street_4_6',
'Street_4_7',
'Street_4_8',
'Street_4_9',
'Street_4_10',
'Street_4_11',
'Street_4_12',

'Street_5_6',
'Street_5_7',
'Street_5_8',
'Street_5_9',
'Street_5_10',
'Street_5_11',
'Street_5_12',

'Street_6_7',
'Street_6_8',
'Street_6_9',
'Street_6_10',
'Street_6_11',
'Street_6_12',

'Street_7_8',
'Street_7_9',
'Street_7_10',
'Street_7_11',
'Street_7_12',

'Street_8_9',
'Street_8_10',
'Street_8_11',
'Street_8_12',

'Street_9_10',
'Street_9_11',
'Street_9_12',

'Street_10_11',
'Street_10_12',
'Street_11_12'],
[0,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,12,13,14,16,17,19,21,23,25,28,31,34,37,41,45,50,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,12,13,14,16,17,19,21,23,25,28,31,34,37,41,45,50],
2,{8}
[-1],0,[1],
'2_Streets'],

[[0],[1],[0],11,
[{Streets Combinations x3}
'Street_1_2_3',
'Street_1_2_5',
'Street_1_2_7',
'Street_1_2_9',
'Street_1_2_11',
'Street_1_3_5',
'Street_1_3_7',
'Street_1_3_9',
'Street_1_3_11',
'Street_1_5_7',
'Street_1_5_9',
'Street_1_5_11',
'Street_1_4_6',
'Street_1_4_8',
'Street_1_4_10',
'Street_1_4_12',
'Street_2_4_6',
'Street_2_4_8',
'Street_2_4_10',
'Street_2_4_12'],
[0,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,12,13,14,16,17,19,21,23,25,28,31,34,37,41,45,50,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,12,13,14,16,17,19,21,23,25,28,31,34,37,41,45,50],
3,{8}
[-1],0,[1],
'3_Streets'],

[[0],[1],[0],11,
[{Streets Combinations x4}
'Street_2_4_6_8',
'Street_2_4_6_10',
'Street_2_4_6_12',
'Street_2_4_8_10',
'Street_2_4_8_12',
'Street_2_4_10_12',
'Street_2_6_8_10',
'Street_2_6_8_12',
'Street_2_6_10_12',
'Street_2_8_10_12',
'Street_4_6_8_10',
'Street_4_6_8_12',
'Street_4_6_10_12',
'Street_4_8_10_12',
'Street_6_8_10_12'],
[0,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,12,13,14,16,17,19,21,23,25,28,31,34,37,41,45,50,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,12,13,14,16,17,19,21,23,25,28,31,34,37,41,45,50],
4,{8}
[-1],0,[1],
'4_Streets'],

[[0],[1],[0],11,
[{Streets Combinations x11}
'Street_1_2_3_4_5_6_7_8_9_10_11',
'Street_1_2_3_4_5_6_7_8_9_10_12',
'Street_1_2_3_4_5_6_7_8_9_11_12',
'Street_1_2_3_4_5_6_7_8_10_11_12',
'Street_1_2_3_4_5_6_7_9_10_11_12',
'Street_1_2_3_4_5_6_8_9_10_11_12',
'Street_1_2_3_4_5_7_8_9_10_11_12',
'Street_1_2_3_4_6_7_8_9_10_11_12',
'Street_1_2_3_5_6_7_8_9_10_11_12',
'Street_1_3_4_5_6_7_8_9_10_11_12',
'Street_2_3_4_5_6_7_8_9_10_11_12'],
[0,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,12,13,14,16,17,19,21,23,25,28,31,34,37,41,45,50,1,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,3,3,3,3,4,4,5,5,6,6,7,7,8,9,10,11,12,13,14,16,17,19,21,23,25,28,31,34,37,41,45,50],
11,{8}
[-1],0,[1],
'11_Streets'],

[[0],[1],[0],8,
[{Corners Combinations x2}
'Corner_1_5',
'Corner_1_9',
'Corner_1_13',
'Corner_1_17',
'Corner_1_21',
'Corner_5_9',
'Corner_5_13',
'Corner_5_17',
'Corner_5_21',
'Corner_9_13',
'Corner_9_17',
'Corner_9_21',
'Corner_13_17',
'Corner_13_21',
'Corner_2_6',
'Corner_2_10',
'Corner_2_14',
'Corner_2_18',
'Corner_2_22',
'Corner_6_10',
'Corner_6_14',
'Corner_6_18',
'Corner_6_22',
'Corner_10_14',
'Corner_10_18',
'Corner_10_22',
'Corner_14_18',
'Corner_14_22'],
[0,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,4,4,5,5,6,7,8,9,10,12,14,16,18,20,22,25,28,32,36,40,45,51,57,64,72,81,91,103,116,130,146,165,185,208,234,267,334,376,423,475,535,602,677,762,857,964,1084,1220,1372,1544,1737,1954,2198,2473],
2,{8}
[-1],0,[1],
'2_Corners'],

[[0],[1],[0],8,
[{Corners Combinations x3}
'Corner_1_5_9',
'Corner_1_5_13',
'Corner_1_5_17',
'Corner_1_5_21',
'Corner_1_9_13',
'Corner_1_9_21',
'Corner_1_9_21',
'Corner_1_13_17',
'Corner_1_13_21',
'Corner_1_17_21',
'Corner_5_9_13',
'Corner_5_9_17',
'Corner_5_9_21',
'Corner_9_13_17',
'Corner_9_13_21',
'Corner_13_17_21',
'Corner_2_6_10',
'Corner_2_6_14',
'Corner_2_6_18',
'Corner_2_6_22',
'Corner_2_10_14',
'Corner_2_10_18',
'Corner_2_10_22',
'Corner_2_14_18',
'Corner_2_14_22',
'Corner_2_18_22',
'Corner_6_10_14',
'Corner_6_10_18',
'Corner_6_10_22',
'Corner_10_14_18',
'Corner_10_14_22',
'Corner_14_18_22'],
[0,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,4,4,5,5,6,7,8,9,10,12,14,16,18,20,22,25,28,32,36,40,45,51,57,64,72,81,91,103,116,130,146,165,185,208,234,267,334,376,423,475,535,602,677,762,857,964,1084,1220,1372,1544,1737,1954,2198,2473],
3,{8}
[-1],0,[1],
'3_Corners'],

[[0],[1],[0],8,
[{Corners Combinations x4}
'Corner_1_5_9_13',
'Corner_1_5_9_17',
'Corner_1_5_9_21',
'Corner_1_5_13_17',
'Corner_1_5_13_21',
'Corner_5_9_13_17',
'Corner_5_9_13_21',
'Corner_9_13_17_21',
'Corner_2_6_10_14',
'Corner_2_6_10_18',
'Corner_2_6_10_22',
'Corner_2_6_14_18',
'Corner_2_6_14_22',
'Corner_6_10_14_18',
'Corner_6_10_14_22',
'Corner_10_14_18_22'],
[0,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,4,4,5,5,6,7,8,9,10,12,14,16,18,20,22,25,28,32,36,40,45,51,57,64,72,81,91,103,116,130,146,165,185,208,234,267,334,376,423,475,535,602,677,762,857,964,1084,1220,1372,1544,1737,1954,2198,2473],
4,{8}
[-1],0,[1],
'4_Corners'],

[[0],[1],[0],17,
[{Split_Sectors}
'Split_Sector_1',
'Split_Sector_2',
'Split_Sector_3'],
[0,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,4,4,5,5,6,7,8,9,10,12,14,16,18,20,22,25,28,32,36,40,45,51,57,64,72,81,91,103,116,130,146,165,185,208,234,267,334,376,423,475,535,602,677,762,857,964,1084,1220,1372,1544,1737,1954,2198,2473],
6,{8}
[-1],0,[1],
'Split_Sectors'],

[[0],[1],[0],35,
[{Sectors}
'Sector_1',
'Sector_2',
'Sector_3',
'Sector_4',
'Sector_5',
'Sector_6'],
[0,1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,4,4,5,5,6,7,8,9,10,12,14,16,18,20,22,25,28,32,36,40,45,51,57,64,72,81,91,103,116,130,146,165,185,208,234,267,334,376,423,475,535,602,677,762,857,964,1084,1220,1372,1544,1737,1954,2198,2473],
7,{8}
[-1],0,[1],
'Sectors'],

[[0],[1],[0],35,
[{Neighbors 7}
'Neighbors_0_7',
'Neighbors_1_7',
'Neighbors_2_7',
'Neighbors_3_7',
'Neighbors_4_7',
'Neighbors_5_7',
'Neighbors_6_7',
'Neighbors_7_7',
'Neighbors_8_7',
'Neighbors_9_7',
'Neighbors_10_7',
'Neighbors_11_7',
'Neighbors_12_7',
'Neighbors_13_7',
'Neighbors_14_7',
'Neighbors_15_7',
'Neighbors_16_7',
'Neighbors_17_7',
'Neighbors_18_7',
'Neighbors_19_7',
'Neighbors_20_7',
'Neighbors_21_7',
'Neighbors_22_7',
'Neighbors_23_7',
'Neighbors_24_7',
'Neighbors_25_7',
'Neighbors_26_7',
'Neighbors_27_7',
'Neighbors_28_7',
'Neighbors_29_7',
'Neighbors_30_7',
'Neighbors_31_7',
'Neighbors_32_7',
'Neighbors_33_7',
'Neighbors_34_7',
'Neighbors_35_7',
'Neighbors_36_7'],
[0,1,1,1,1,1,1,1,2,2,2,3,3,4,4,5,6,7,8,9,10,12,14,16,19,22,1,1,1,1,1,1,1,2,2,2,3,3,4,4,5,6,7,8,9,10,12,14,16,19,22],
7,{8}
[-1],0,[1],
'Neighbors_7'],

[[0],[1],[0],35,
[{Neighbors 9}
'Neighbors_0_9',
'Neighbors_1_9',
'Neighbors_2_9',
'Neighbors_3_9',
'Neighbors_4_9',
'Neighbors_5_9',
'Neighbors_6_9',
'Neighbors_7_9',
'Neighbors_8_9',
'Neighbors_9_9',
'Neighbors_10_9',
'Neighbors_11_9',
'Neighbors_12_9',
'Neighbors_13_9',
'Neighbors_14_9',
'Neighbors_15_9',
'Neighbors_16_9',
'Neighbors_17_9',
'Neighbors_18_9',
'Neighbors_19_9',
'Neighbors_20_9',
'Neighbors_21_9',
'Neighbors_22_9',
'Neighbors_23_9',
'Neighbors_24_9',
'Neighbors_25_9',
'Neighbors_26_9',
'Neighbors_27_9',
'Neighbors_28_9',
'Neighbors_29_9',
'Neighbors_30_9',
'Neighbors_31_9',
'Neighbors_32_9',
'Neighbors_33_9',
'Neighbors_34_9',
'Neighbors_35_9',
'Neighbors_36_9'],
[0,1,1,1,1,1,1,1,2,2,2,3,3,4,4,5,6,7,8,9,10,12,14,16,19,22,1,1,1,1,1,1,1,2,2,2,3,3,4,4,5,6,7,8,9,10,12,14,16,19,22],
9,{8}
[-1],0,[1],
'Neighbors_9'],

[[0],[1],[0],35,
[{Neighbors 11}
'Neighbors_0_11',
'Neighbors_1_11',
'Neighbors_2_11',
'Neighbors_3_11',
'Neighbors_4_11',
'Neighbors_5_11',
'Neighbors_6_11',
'Neighbors_7_11',
'Neighbors_8_11',
'Neighbors_9_11',
'Neighbors_10_11',
'Neighbors_11_11',
'Neighbors_12_11',
'Neighbors_13_11',
'Neighbors_14_11',
'Neighbors_15_11',
'Neighbors_16_11',
'Neighbors_17_11',
'Neighbors_18_11',
'Neighbors_19_11',
'Neighbors_20_11',
'Neighbors_21_11',
'Neighbors_22_11',
'Neighbors_23_11',
'Neighbors_24_11',
'Neighbors_25_11',
'Neighbors_26_11',
'Neighbors_27_11',
'Neighbors_28_11',
'Neighbors_29_11',
'Neighbors_30_11',
'Neighbors_31_11',
'Neighbors_32_11',
'Neighbors_33_11',
'Neighbors_34_11',
'Neighbors_35_11',
'Neighbors_36_11'],
[0,1,1,1,1,1,1,1,2,2,2,3,3,4,4,5,6,7,8,9,10,12,14,16,19,22,1,1,1,1,1,1,1,2,2,2,3,3,4,4,5,6,7,8,9,10,12,14,16,19,22],
11,{8}
[-1],0,[1],
'Neighbors_11'],
];
end;
